Bug 114196 - Agenda: No length validation on basic properties
Agenda: No length validation on basic properties
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 15:48 EST by Jon Orris
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 10:47:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-01-23 15:48:22 EST
@39693/Postgres
None of Agenda's basic properties have length validation.
Causes nasty persistence error if exceeded.
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.111:f214e9:fa447e40e6 -*-*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: null (root cause:
ERROR:  value too long for type character varying(1000)
) -*-*-*-
-*-*-*- Message 2: com.arsdigita.persistence.PersistenceException:
null (root cause: ERROR:  value too long for type character varying(1000)
) -*-*-*-
-*-*-*- Message 3: com.redhat.persistence.engine.rdbms.RDBMSEngine$4:
ERROR:  value too long for type character varying(1000)
 -*-*-*-

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: System properties -*-*-*-
ccm.home: /var/ccm-devel/web/jorris/rickshaw
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.print.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/usr/share/java/junit.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/usr/share/java/servletapi4.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/java/j2sdk1.4.2_03/lib/tools.jar:/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 48.0
java.endorsed.dirs: /usr/java/j2sdk1.4.2_03/jre/lib/endorsed
java.ext.dirs:
/usr/java/j2sdk1.4.2_03/jre/lib/ext:/usr/java/j2sdk1.4.2_03/lib/ext:/var/ccm-devel/web/jorris/rickshaw/webapps/WEB-INF/system:/usr/share/ccm-tools/lib/security
java.home: /usr/java/j2sdk1.4.2_03/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/j2sdk1.4.2_03/jre/lib/i386/client:/usr/java/j2sdk1.4.2_03/jre/lib/i386:/usr/java/j2sdk1.4.2_03/jre/../lib/i386:/opt/oracle/product/9.2.0.1/lib:/lib:/usr/lib:/usr/local/lib:libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.4.2_03-b02
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.4
java.util.prefs.PreferencesFactory:
java.util.prefs.FileSystemPreferencesFactory
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.4.2_03
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.4.2_03-b02
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/rickshaw/conf/log4j.properties
os.arch: i386
os.name: Linux
os.version: 2.4.21-9.EL
path.separator: :
resin.home: /opt/resin/2.1.4
sun.arch.data.model: 32
sun.boot.class.path:
/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/usr/java/j2sdk1.4.2_03/jre/lib/i18n.jar:/usr/java/j2sdk1.4.2_03/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jsse.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jce.jar:/usr/java/j2sdk1.4.2_03/jre/lib/charsets.jar:/usr/java/j2sdk1.4.2_03/jre/classes
sun.boot.library.path: /usr/java/j2sdk1.4.2_03/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
sun.java2d.fontpath: 
sun.os.patch.level: unknown
user.country: US
user.dir: /opt/resin/2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.timezone: America/New_York
waf.workflow.simple.alerts_enabled: true

-*-*-*- Section: Stack trace -*-*-*-
com.redhat.persistence.engine.rdbms.RDBMSEngine$4: ERROR:  value too
long for type character varying(1000)

	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:514)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:430)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java:395)
	at com.redhat.persistence.Session.flushInternal(Session.java:617)
	at com.redhat.persistence.Session.flush(Session.java:562)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:417)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.cms.contenttypes.ui.AgendaPropertyForm.process(AgendaPropertyForm.java:218)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:490)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:464)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:494)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:356)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:370)
	at com.arsdigita.bebop.Page.process(Page.java:714)
	at com.arsdigita.bebop.Page.process(Page.java:686)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:758)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:281)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:80)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:75)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:296)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:61)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:193)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:222)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:235)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:136)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:291)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:760)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:199)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:183)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:291)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:760)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:534)


-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Content-Length: 8481
Content-Type: multipart/form-data;
boundary=---------------------------20702873867392343051405518592
Cookie: JSESSIONID=abIKF7DPBIQg;
ad_user_login=2003!1169498644075!1tMgk/e1ciPG6iz5UDfh0w==
Host: goodeats:9004
Keep-Alive: 300
Referer:
http://goodeats:9004/ccm/articles/admin/item.jsp?bbp.2728.d=asc&bbp.143.sel=85&bbp.s=1088&g11n.enc=UTF-8&bbp.575.sel=103&bbp.3.pane=1&bbp.2430.d=asc&bbp.1200.sel=1126&bbp.908.sel=5001&bbp.e=s&bbp.v=edit&bbp.784.sel=110&bbp.1077.sel=1120&bbp.1695.sel=1133&bbp.361.sel=96&bbp.260.sel=91&bbp.2741.d=asc&bbp.985.sel=1115&bbp.33.sel=79&bbp.1826.sel=1139&bbp.2329.sel=1146&bbp.i=d0.4.2.a.1.31.1.39.1.2q.1.5x.1.5t.1.3h.1.23.1.2i.1.j.1.2t.1.dr.1.3l.1.dz.1&item_id=6002
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@10286e9 = {
m_page = com.arsdigita.cms.ui.ContentItemPage@2fd484,
m_request = com.arsdigita.dispatcher.MultipartHttpServletRequest@2bb73d,
m_response = com.caucho.server.http.HttpResponse@1258325,
m_pageState = com.arsdigita.bebop.FormData@e75ab3 = {
m_parameterDataValues = {bbp.2365.sel={null, []}, bbp.2736.sel={null,
[]}, bbp.2728.c={null, []}, bbp.795.sel={null, []},
bbp.1230.type={null, []}, bbp.2648.row={null, []},
com.arsdigita.cms.contenttypes.Job_properties_done={null, []},
com.arsdigita.cms.contenttypes.Article_image_done={null, []},
bbp.2521.row={null, []}, bbp.369.col={null, []}, bbp.2696.row={null,
[]}, bbp.2728.d={asc, []},
com.arsdigita.cms.contenttypes.PressRelease_properties_done={null,
[]}, bbp.2625.sel={null, []}, bbp.143.sel={85, []}, bbp.604.col={null,
[]}, bbp.661.col={null, []}, bbp.9.stack={null, []},
bbp.394.col={null, []}, bbp.251.col={null, []}, bbp.2598.sel={null,
[]}, bbp.2470.row={null, []}, bbp.1784.sel={null, []},
bbp.41.col={null, []}, bbp.1118.row={null, []}, bbp.718.row={null,
[]}, bbp.1153.col={null, []}, bbp.1068.row={null, []},
bbp.314.row={null, []}, bbp.653.kw={null, []},
com.arsdigita.cms.contenttypes.Article_properties_done={null, []},
bbp.1174.sel={null, []},
com.arsdigita.cms.Template_properties_done={null, []},
bbp.2470.col={null, []}, bbp.2340.sel={null, []},
bbp.1827.stack={null, []}, bbp.2320.row={null, []},
bbp.680.chim={null, []}, moveSection={null, []}, bbp.1191.row={null,
[]}, bbp.62.row={null, []}, bbp.792.row={null, []}, bbp.2741.o={null,
[]}, bbp.369.row={null, []}, bbp.2375.sel={null, []},
bbp.1031.col={null, []},
com.arsdigita.cms.contenttypes.Event_properties_done={null, []},
bbp.583.col={null, []}, bbp.97.col={null, []}, bbp.738.col={null, []},
bbp.273.sel={null, []}, bbp.916.col={null, []}, bbp.180.row={null,
[]}, bbp.640.sel={null, []}, bbp.s={1084, []}, bbp.691.sel={null, []},
bbp.2659.sel={null, []}, bbp.528.row={null, []}, bbp.775.row={null,
[]}, bbp.154.sel={null, []}, bbp.1544.row={null, []},
bbp.183.sel={null, []}, g11n.enc={UTF-8, []}, bbp.1757.sel={null, []},
bbp.814.col={null, []}, bbp.935.col={null, []}, bbp.1213.sel={null,
[]}, bbp.2342.sel={null, []}, bbp.1554.col={null, []},
bbp.575.sel={103, []}, bbp.1300.row={null, []}, bbp.638.chim={null,
[]}, bbp.869.sel={null, []}, bbp.118.sel={null, []},
bbp.352.col={null, []}, bbp.1934.col={null, []}, bbp.1211.sel={null,
[]}, bbp.2749.sel={null, []}, bbp.2102.row={null, []},
bbp.1090.sel={null, []}, bbp.996.sel={null, []}, bbp.785.stack={null,
[]}, bbp.470.chim={null, []}, bbp.3.pane={1, []}, bbp.481.sel={null,
[]}, bbp.2337.col={null, []}, bbp.430.sel={null, []},
bbp.1703.col={null, []}, bbp.1078.stack={null, []},
bbp.1649.row={null, []}, bbp.1468.col={null, []}, bbp.1085.row={null,
[]}, bbp.2397.row={null, []}, bbp.576.stack={null, []},
bbp.549.sel={null, []}, bbp.743.sel={null, []}, bbp.864.row={null,
[]}, bbp.362.stack={null, []}, bbp.2430.d={asc, []},
bbp.220.sel={null, []}, bbp.2006.col={null, []}, bbp.1031.row={null,
[]}, bbp.2283.col={null, []}, bbp.314.col={null, []},
bbp.1200.sel={1126, []}, bbp.2648.col={null, []}, content_type={null,
[]}, bbp.2337.row={null, []}, bbp.1744.col={null, []},
bbp.908.sel={5001, []}, bbp.2320.col={null, []}, item={null, []},
bbp.251.row={null, []}, bbp.451.col={null, []}, bbp.1747.sel={null,
[]}, bbp.1430.col={null, []}, bbp.1068.col={null, []},
bbp.428.chim={null, []}, bbp.134.row={null, []}, bbp.e={null, []},
bbp.v={null, []}, bbp.65.sel={null, []}, bbp.634.image_asset={null,
[]}, bbp.2741.col={null, []}, bbp.180.col={null, []},
bbp.215.row={null, []}, bbp.2064.row={null, []}, bbp.993.col={null,
[]}, bbp.1208.row={null, []}, bbp.1649.col={null, []},
bbp.2713.col={null, []}, bbp.1686.col={null, []}, bbp.885.sel={null,
[]}, bbp.2447.stack={null, []}, bbp.2064.col={null, []},
bbp.1085.col={null, []}, bbp.2430.col={null, []}, bbp.1191.col={null,
[]}, bbp.814.row={null, []}, bbp.1654.sel={null, []},
bbp.2728.col={null, []}, bbp.352.row={null, []},
com.arsdigita.cms.formbuilder.FormItem_properties_done={null, []},
bbp.24.col={null, []}, bbp.1036.sel={null, []}, bbp.1817.row={null,
[]}, bbp.335.sel={null, []}, bbp.2511.col={null, []},
bbp.864.col={null, []}, root={null, []},
com.arsdigita.cms.contenttypes.Minutes_properties_done={null, []},
bbp.588.sel={null, []}, bbp.151.col={null, []}, bbp.1706.sel={null,
[]}, bbp.775.col={null, []}, bbp.1817.col={null, []},
bbp.2637.stack={null, []}, bbp.2728.o={null, []}, bbp.407.sel={null,
[]}, bbp.566.row={null, []}, bbp.738.row={null, []},
bbp.156.sel={null, []}, bbp.2573.sel={null, []}, bbp.961.sel={null,
[]}, bbp.976.col={null, []}, bbp.44.sel={null, []},
bbp.1834.col={null, []}, bbp.784.sel={110, []}, bbp.2521.col={null,
[]}, bbp.1934.row={null, []}, bbp.2188.col={null, []},
bbp.1800.sel={null, []}, bbp.661.row={null, []}, bbp.586.sel={null,
[]}, bbp.916.row={null, []}, bbp.2557.sel={null, []},
com.arsdigita.cms.contenttypes.NewsItem_properties_done={null, []},
bbp.2430.row={null, []},
com.arsdigita.cms.contenttypes.LegalNotice_properties_done={null, []},
bbp.424.image_asset={null, []}, bbp.2613.sel={null, []},
bbp.508.row={null, []}, bbp.46.sel={null, []}, bbp.998.sel={null, []},
bbp.1372.col={null, []}, bbp.2589.sel={null, []}, bbp.759.sel={null,
[]}, bbp.797.sel={null, []}, bbp.268.row={null, []},
bbp.2283.row={null, []}, bbp.500.kw={null, []}, bbp.397.sel={null,
[]}, bbp.2178.row={null, []}, bbp.1118.col={null, []},
bbp.215.col={null, []}, streamlined_creation={null, []},
bbp.451.row={null, []}, bbp.1077.sel={1120, []}, bbp.2102.col={null,
[]}, bbp.2418.sel={null, []}, bbp.909.stack={null, []},
bbp.2181.type={null, []}, bbp.41.row={null, []}, bbp.1052.sel={null,
[]}, bbp.1695.sel={1133, []}, bbp.2696.col={null, []},
imageParam={null, []}, bbp.1088.sel={null, []}, bbp.1300.col={null,
[]}, bbp.528.col={null, []}, bbp.533.sel={null, []},
bbp.2397.col={null, []}, bbp.919.sel={null, []}, bbp.2006.row={null,
[]}, bbp.1430.row={null, []}, bbp.372.sel={null, []}, mode={null, []},
bbp.566.col={null, []}, bbp.607.sel={null, []},
com.arsdigita.cms.contenttypes.MultiPartArticle_properties_done={null,
[]}, bbp.2450.stack={null, []}, bbp.1834.row={null, []},
bbp.1158.sel={null, []}, bbp.710.kw={null, []}, bbp.7.stack={null,
[]}, bbp.617.sel={null, []}, textParam={null, []}, bbp.2481.row={null,
[]}, bbp.193.sel={null, []}, bbp.948.sel={null, []},
bbp.1839.sel={null, []}, bbp.792.col={null, []}, bbp.271.sel={null,
[]}, bbp.144.stack={null, []}, bbp.899.row={null, []},
bbp.1779.row={null, []}, bbp.899.col={null, []}, bbp.1708.sel={null,
[]}, bbp.2304.sel={null, []}, bbp.1856.type={null, []},
bbp.1547.type={null, []}, bbp.261.stack={null, []},
bbp.2741.mid={null, []}, bbp.2362.row={null, []}, bbp.361.sel={96,
[]}, bbp.2481.col={null, []}, bbp.102.sel={null, []},
bbp.2713.row={null, []}, bbp.1131.sel={null, []}, bbp.1686.row={null,
[]}, bbp.2688.stack={null, []}, bbp.260.sel={91, []},
bbp.921.sel={null, []}, bbp.1670.sel={null, []}, bbp.394.row={null,
[]}, bbp.24.row={null, []}, bbp.134.col={null, []},
bbp.1153.row={null, []}, bbp.2430.o={null, []}, bbp.75.sel={null, []},
bbp.62.col={null, []}, bbp.976.row={null, []}, bbp.2741.d={asc, []},
bbp.2330.stack={null, []},
com.arsdigita.cms.formbuilder.FormSectionItem_properties_done={null,
[]}, bbp.2511.row={null, []}, bbp.2402.sel={null, []},
bbp.1837.sel={null, []}, bbp.1468.row={null, []},
bbp.1851.control={null, []}, bbp.985.sel={1115, []},
bbp.2362.col={null, []}, bbp.33.sel={79, []}, bbp.986.stack={null,
[]}, bbp.97.row={null, []}, bbp.236.sel={null, []},
bbp.1208.col={null, []}, bbp.2288.sel={null, []}, bbp.8.stack={null,
[]}, bbp.583.row={null, []}, bbp.151.row={null, []},
bbp.718.col={null, []}, bbp.268.col={null, []}, bbp.1779.col={null,
[]}, com.arsdigita.cms.contenttypes.Agenda_properties_done={null, []},
bbp.1703.row={null, []}, bbp.993.row={null, []}, bbp.1744.row={null,
[]}, com.arsdigita.cms.contenttypes.NewsItem_image_done={null, []},
return_url={null, []},
com.arsdigita.cms.contenttypes.Service_properties_done={null, []},
bbp.1121.sel={null, []}, bbp.1826.sel={1139, []}, bbp.2329.sel={1146,
[]}, bbp.508.col={null, []}, bbp.34.stack={null, []}, bbp.i={{4, 5,
16, 126, 244, 343, 557, 767, 893, 969, 1060, 1080, 1083, 1084, 1182,
1678, 1808, 2312}, []}, bbp.935.row={null, []}, bbp.1372.row={null,
[]}, bbp.604.row={null, []}, bbp.1225.control={null, []},
bbp.1696.stack={null, []}, bbp.443.kw={null, []}, bbp.938.sel={null,
[]}, bbp.1201.stack={null, []}, bbp.374.sel={null, []},
bbp.319.sel={null, []}, item_id={6002, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@1c05bb5,
m_locale = en_US,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 6, 7, 8, 9, 10, 17, 18, 19, 35, 36, 37, 40, 60, 61,
85, 94, 127, 128, 129, 145, 146, 147, 150, 178, 179, 203, 212, 245,
246, 262, 263, 264, 267, 302, 311, 344, 345, 346, 347, 363, 364, 365,
368, 392, 393, 417, 427, 428, 442, 468, 469, 470, 499, 525, 558, 559,
560, 561, 577, 578, 579, 582, 602, 603, 627, 637, 638, 652, 678, 679,
680, 709, 735, 768, 769, 770, 786, 787, 788, 791, 809, 810, 811, 812,
852, 861, 894, 910, 911, 912, 915, 933, 934, 970, 971, 987, 988, 989,
992, 1019, 1028, 1061, 1062, 1063, 1079, 1081, 1084, 1116, 1117, 1141,
1150, 1183, 1184, 1185, 1186, 1202, 1203, 1204, 1207, 1227, 1228,
1239, 1240, 1241, 1242, 1243, 1244, 1245, 1246, 1247, 1248, 1249,
1250, 1546, 1559, 1560, 1561, 1562, 1563, 1637, 1646, 1679, 1680,
1681, 1697, 1698, 1699, 1702, 1742, 1743, 1767, 1776, 1809, 1810,
1811, 1812, 1828, 1829, 1830, 1833, 1853, 1854, 1873, 1874, 1875,
1876, 1877, 1878, 1879, 1880, 1881, 1882, 1883, 1884, 2180, 2193,
2194, 2195, 2196, 2197, 2271, 2280, 2313, 2314, 2315, 2331, 2332,
2333, 2336, 2360, 2361, 2385, 2394, 2442, 2443, 2444, 2445, 2446,
2448, 2449, 2450, 2451, 2452, 2453, 2454, 2488, 2489, 2490, 2491,
2632, 2633, 2634, 2635, 2638, 2639, 2686, 2687, 2688, 2706, 2707, 2721}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@1adc18f=true,
com.arsdigita.cms.ui.ContentItemPage$ItemRequestLocal@148d93b=[com.arsdigita.cms.contenttypes.Agenda:{id=6002}]U,
com.arsdigita.bebop.Form$2@1cfb807=,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@1addff4=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@1d7e49=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@4a1c6b=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@4e1df8=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@1072d08=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@7eaed1=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@111c664=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@91abeb=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@1f7d2dc=true}
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{id=1012}]
com.arsdigita.dispatcher.OriginalRequest:
com.caucho.server.http.DispatchRequest@1af7aa
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@100849d
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@1891d5d=null}
com.arsdigita.dispatcher.WrappedRequest:
com.arsdigita.dispatcher.MultipartHttpServletRequest@2bb73d
com.arsdigita.kernel.ACSObject:6002:
[com.arsdigita.cms.contenttypes.Agenda:{id=6002}]U
com.arsdigita.web.BaseApplicationServlet.application_id: 1012
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/articles/admin/item.jsp?bbp.33.sel=79&attendees=&title=burble&bbp.3.pane=1&agendaDate.minute=&bbp.1077.sel=1120&agendaDate.year=2004&bbp.s=1084&bbp.2728.d=asc&subjectItems=safddsafsafd%0D%0Afdsa%0D%0Afdsa%0D%0Afdsa%0D%0Afdsa%0D%0Aed+Hat+Web+Application+Framework+6.1beta%3A+WAF+Installation+Guide+Prev+Next+Chapter+3.+Installation+Decisions+This+chapter+first+takes+you+through+deciding+which+type+of+WAF+installation+you+are+undertaking.+This+followed+by+a+discussion+of+other+decisions+about+your+install+environment%2C+such+as+operating+system%2C+RDBMS%2C+JRE%2C+and+servlet+container.+After+reading+this+chapter%2C+you+should+be+able+to+easily+find+the+installation+and+configuration+information+you+need+to+perform+your+deployment.+3.1.+Production+or+Development+Installation+There+are+two+types+of+installation+to+consider%2C+with+some+flavoring+to+each+type+of+deployment.+*+One+type+is+a+production+installation%2C+covered+in+Part+II+Installation+for+Production.+Such+a+system+is+focused+entirely+on+the+delivery+of+Web+services+to+client+browsers%2C+and+can+be+designed+in+a+manner+to+best+fit+your+enterprise.+*+The+other+type+is+the+development+installation%2C+covered+in+Part+III+Installation+for+Development.+Development+installs+include+deploying+with+binary+applications+for+developing+on+top+of+WAF%2C+as+well+as+deploying+source+directories+for+modifying+WAF%2C+CMS%2C+Portal+Server+and+so+forth.+Review+this+list+to+see+where+your+plans+and+environment+fit%3A+Production+Installation+If+you+are+installing+your+custom+applications+on+another+server%2C+and+they+have+already+been+built+and+packaged+into+RPMs%2C+then+you+need+a+production+install.+If+you+will+not+be+doing+development+on+this+particular+server%2C+and+the+applications+being+installed+have+all+necessary+code%2C+stylesheets%2C+etc.+included%2C+then+you+will+need+to+do+a+production+install.+The+production+install+procedure+is+used+not+just+for+production+servers+but+for+any+server+which+is+not+used+for+development.+For+example%2C+if+you+will+have+multiple+front+end+servers+which+will+connect+to+the+same+production+database%2C+the+full+install+procedure+will+only+be+followed+for+the+first+server%2C+and+an+abbreviated+process+will+be+followed+for+subsequent+front+end+servers.+This+is+described+in+Part+II+Installation+for+Production.+Development+Installation+You+will+only+need+to+do+a+development+installation+if+you+will+be+building+applications+on+top+of+WAF%2C+or+modifying+existing+WAF+applications%2C+including+XSLT+styling+changes.+The+two+different+methods+of+a+development+install+are%3A+1.+If+you+are+only+going+to+be+building+on+top+of+WAF%2C+a+standard+installation+includes+packages+installed+as+prebuilt%2C+binary-only+applications+from+RPM+%28or+ZIP%29.+2.+If+you+need+to+extend+or+modify+an+existing+Red+Hat+Applications%2C+then+you+will+need+to+include+the+specific+application+as+a+custom+application+within+your+build+system.+Use+the+code+in+the+source+ZIP+distribution+as+the+basis+for+your+custom+application.+For+information+about+obtaining+packages%2C+see+Section+4.6+Obtaining+Red+Hat+WAF+and+Application+Packages.+Caution+Modifying+the+source+is+not+generally+recommended.+You+will+not+be+running+on+an+officially+supported%2C+upgradeable+version+of+the+software.+If+you+absolutely+must+modify+the+source%2C+we+strongly+encourage+you+to+submit+your+patch+via+https%3A%2F%2Fbugzilla.redhat.com+so+that+it+can+be+considered+for+merging+into+the+next+release.+Prev+Home+Next+Installation+Preparations+Up+Operating+System+to+Install%0D%0A%09%0D%0A+Date%3A+%09Fri+Jan+23+00%3A00%3A00+EST+2004%0D%0ALocation%3A%0D%0Asfda%0D%0AAttendees%3A%0D%0Adsafsafd%0D%0AContact+Info%3A%0D%0Afsad%0D%0ACreation+Date%3A%0D%0AFri+Jan+23+00%3A00%3A00+EST+2004%0D%0A&bbp.143.sel=85&bbp.1695.sel=1133&creationDate.month=0&bbp.1088.sel=edit&bbp.784.sel=110&location=sfda%0D%0Aadsfffffffff%0D%0A&name=burble&bbp.361.sel=96&summary=safd&creationDate.year=2004&g11n.enc=UTF-8&bbp.1826.sel=1139&agendaDate.day=&bbp.2329.sel=1146&agendaDate.amOrPm=0&save=%C3%82%C2%A0%C3%82%C2%A0%C3%82%C2%A0Save%C3%82%C2%A0%C3%82%C2%A0%C3%82%C2%A0&bbp.i=d0.4.2.a.1.31.1.39.1.2q.1.5x.1.5t.1.3h.1.23.1.2i.1.j.1.2.2.2p.1.dr.1.3l.1.dz.1&bbp.260.sel=91&agendaDate.hour=&bbp.2430.d=asc&bbp.575.sel=103&agendaDate.today=true&bbp.1200.sel=1126&form.propertyedit=visited&bbp.2741.d=asc&contactInfo=fsad&creationDate.day=23&agendaDate.month=0&item_id=6002&bbp.908.sel=5001&bbp.985.sel=1115

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/item.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: abIKF7DPBIQg (expires: -1)
ad_user_login: 2003!1169498644075!1tMgk/e1ciPG6iz5UDfh0w== (expires: -1)
-*-*-*-*-*- End Error Report -*-*-*-*-*-

Note You need to log in before you can comment on or make changes to this bug.